## debugpy 1.6.6+ds

=== tests/requirements.txt ===
setuptools

## Used to run the tests:

pytest
pytest-xdist
pytest-cov
pytest-timeout

## Used by test helpers:

psutil

## Used in Python code that is run/debugged by the tests:

django
requests
gevent
flask

# https://github.com/microsoft/debugpy/issues/1126
greenlet==1.1.3

## debugpy 1.6.3+ds

=== debian/changelog ===
debugpy (1.6.3+ds-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Thu, 08 Sep 2022 07:55:18 +0100

debugpy (1.6.2+dfsg-2) unstable; urgency=medium

  * Source-only upload

 -- Julian Gilbey <jdg@debian.org>  Mon, 08 Aug 2022 08:51:26 +0100

debugpy (1.6.2+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #933190)
    Initial packaging work (on the predecessor ptvsd) by William
    Grzybowski <william@grzy.org>

 -- Julian Gilbey <jdg@debian.org>  Thu, 04 Aug 2022 08:31:09 +0100

=== debian/control ===
Source: debugpy
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-django <!nocheck>,
               python3-flask <!nocheck>,
               python3-gevent <!nocheck>,
               python3-psutil <!nocheck>,
               python3-pydevd (>= 2.8.0+git20220826.8ee4065+ds),
               python3-pytest <!nocheck>,
               python3-pytest-timeout <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-requests <!nocheck>,
               python3-setuptools
Standards-Version: 4.6.1
Homepage: https://github.com/microsoft/debugpy
Vcs-Browser: https://salsa.debian.org/python-team/packages/debugpy
Vcs-Git: https://salsa.debian.org/python-team/packages/debugpy.git
Rules-Requires-Root: no

Package: python3-debugpy
Architecture: all
Depends: python3-pydevd (>= 2.8.0+git20220826.8ee4065+ds),
         ${misc:Depends},
         ${python3:Depends}
Description: Implementation of the Debug Adapter Protocol for Python 3
 This package allows debugging of Python using Spyder and VS Code, among
 others.  It can also be used directly.
 .
 It provides an interface to run on top of existing scripts or modules,
 attach to a running process by ID or by importing debugpy into Python code.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=debugpy

%:
	dh $@ --buildsystem=pybuild

# We link to pydevd as debugpy assumes that it is a vendored module;
# it would not be that straightforward to modify debugpy to use the system
# version of pydevd.
# Unfortunately pydevd is horrible: it installs multiple different modules.
# Rather than hardcode this, we calculate the list of modules dynamically.
PYDEVD_TOP_LEVEL = $(shell dpkg -L python3-pydevd | grep dist-packages/ | \
	cut -d/ -f6 | sort -u | grep -v egg-info)

PYTHON_DIR=usr/lib/python3/dist-packages
PYDEVD_VENDORED_DIR=debugpy/_vendored/pydevd

export PYBUILD_BEFORE_TEST=mkdir {build_dir}/$(PYDEVD_VENDORED_DIR); \
  for pydevd_top in $(PYDEVD_TOP_LEVEL); do \
    ln -s /$(PYTHON_DIR)/$$pydevd_top \
      {build_dir}/$(PYDEVD_VENDORED_DIR); done

export PYBUILD_AFTER_TEST=rm -rf {build_dir}/$(PYDEVD_VENDORED_DIR)


execute_after_dh_installdocs:
	# dh_installdocs cannot handle a filename with spaces (bug #1016596)
	cp -p doc/Subprocess\ debugging.md debian/python3-debugpy/usr/share/doc/python3-debugpy


execute_after_dh_link:
	dh_installdirs /$(PYTHON_DIR)/$(PYDEVD_VENDORED_DIR)
	for pydevd_top in $(PYDEVD_TOP_LEVEL); do \
	    dh_link /$(PYTHON_DIR)/$$pydevd_top /$(PYTHON_DIR)/$(PYDEVD_VENDORED_DIR)/$$pydevd_top; done

## debugpy 1.6.3+git20221103.a2a3328+ds

=== debian/changelog ===
debugpy (1.6.3+git20221103.a2a3328+ds-1) unstable; urgency=medium

  * New upstream snapshot
  * Attempt to fix test failures (Closes: #1022188)

 -- Julian Gilbey <jdg@debian.org>  Wed, 09 Nov 2022 07:31:31 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-flask <!nocheck>,
                python3-gevent <!nocheck>,
                python3-psutil <!nocheck>,
-               python3-pydevd (>= 2.8.0+git20220826.8ee4065+ds),
+               python3-pydevd (>= 2.9.2+ds),
                python3-pytest <!nocheck>,
                python3-pytest-timeout <!nocheck>,
                python3-pytest-xdist <!nocheck>,
@@ -26,7 +26,7 @@
 
 Package: python3-debugpy
 Architecture: all
-Depends: python3-pydevd (>= 2.8.0+git20220826.8ee4065+ds),
+Depends: python3-pydevd (>= 2.9.2+ds),
          ${misc:Depends},
          ${python3:Depends}
 Description: Implementation of the Debug Adapter Protocol for Python 3

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,14 @@
 
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/$(PYDEVD_VENDORED_DIR)
 
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+override_dh_auto_test:
+	# * The http_proxy setting is to disable the proxies that pybuild
+	# introduces; the tests might set up and use a local http server.
+	# (See https://bugs.debian.org/1022188)
+	export http_proxy=""; \
+	dh_auto_test || PYBUILD_TEST_ARGS=-n1 dh_auto_test
+endif
 
 execute_after_dh_installdocs:
 	# dh_installdocs cannot handle a filename with spaces (bug #1016596)

## debugpy 1.6.4+git20221217.c419d5a+ds

=== debian/changelog ===
debugpy (1.6.4+git20221217.c419d5a+ds-1) unstable; urgency=medium

  * New upstream version
  * Exclude failing tests on Python 3.11; hopefully this closes:
    #1025615), but it may be that other tests fail on architectures
    besides amd64
  * Add a README explaining that this package is not yet compatible with
    Python 3.11, so many issues may arise

 -- Julian Gilbey <jdg@debian.org>  Wed, 04 Jan 2023 22:31:34 +0000

## debugpy 1.6.6%2Bds

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,10 @@
 PYTHON_DIR=usr/lib/python3/dist-packages
 PYDEVD_VENDORED_DIR=debugpy/_vendored/pydevd
 
-export PYBUILD_BEFORE_TEST=mkdir {build_dir}/$(PYDEVD_VENDORED_DIR); \
+# We rm -rf the vendored dir just in case it's been left over from
+# a previously failed test
+export PYBUILD_BEFORE_TEST=rm -rf {build_dir}/$(PYDEVD_VENDORED_DIR); \
+  mkdir {build_dir}/$(PYDEVD_VENDORED_DIR); \
   for pydevd_top in $(PYDEVD_TOP_LEVEL); do \
     ln -s /$(PYTHON_DIR)/$$pydevd_top \
       {build_dir}/$(PYDEVD_VENDORED_DIR); done
@@ -30,7 +33,8 @@
 	# introduces; the tests might set up and use a local http server.
 	# (See https://bugs.debian.org/1022188)
 	export http_proxy=""; \
-	dh_auto_test || PYBUILD_TEST_ARGS=-n1 dh_auto_test
+	PYBUILD_TEST_ARGS="$(shell debian/get_test_exclusions rules)" dh_auto_test || \
+	    PYBUILD_TEST_ARGS="$(shell debian/get_test_exclusions rules) -n1" dh_auto_test
 endif
 
 execute_after_dh_installdocs:

## debugpy 1.6.6+ds

=== debian/changelog ===
debugpy (1.6.6+ds-1) unstable; urgency=medium

  * New upstream version
  * Python 3.11 is now supported, so remove README.Debian

 -- Julian Gilbey <jdg@debian.org>  Sat, 11 Feb 2023 21:32:06 +0000

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,14 @@
                python3-flask <!nocheck>,
                python3-gevent <!nocheck>,
                python3-psutil <!nocheck>,
-               python3-pydevd (>= 2.9.2+ds),
+               python3-pydevd (<< 2.9.6),
+               python3-pydevd (>= 2.9.5+ds),
                python3-pytest <!nocheck>,
                python3-pytest-timeout <!nocheck>,
                python3-pytest-xdist <!nocheck>,
                python3-requests <!nocheck>,
                python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/microsoft/debugpy
 Vcs-Browser: https://salsa.debian.org/python-team/packages/debugpy
 Vcs-Git: https://salsa.debian.org/python-team/packages/debugpy.git
@@ -26,7 +27,8 @@
 
 Package: python3-debugpy
 Architecture: all
-Depends: python3-pydevd (>= 2.9.2+ds),
+Depends: python3-pydevd (<< 2.9.6),
+         python3-pydevd (>= 2.9.5+ds),
          ${misc:Depends},
          ${python3:Depends}
 Description: Implementation of the Debug Adapter Protocol for Python 3

=== debian/tests/control ===
Tests: pytest
Depends: gdb,
         python3-all,
         python3-django,
         python3-flask,
         python3-gevent,
         python3-psutil,
         python3-pytest,
         python3-pytest-timeout,
         python3-pytest-xdist,
         python3-requests,
         @
Restrictions: allow-stderr

## debugpy 1.6.7+ds

=== debian/changelog ===
debugpy (1.6.7+ds-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore test failures, they fail in Debian too (Closes: #1025637)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 24 Jun 2023 23:03:07 +0200

debugpy (1.6.7+ds-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Tue, 13 Jun 2023 22:01:54 +0100

debugpy (1.6.6+ds-1ubuntu2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 16 Mar 2023 07:20:09 +0000

debugpy (1.6.6+ds-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore test failures, they fail in Debian too (Closes: #1025637)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Feb 2023 14:48:50 +0100

debugpy (1.6.4+git20221217.c419d5a+ds-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore test failures, they fail in Debian too (Closes: #1025637)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 07 Jan 2023 18:42:36 +0100

debugpy (1.6.3+git20221103.a2a3328+ds-1ubuntu1) lunar; urgency=medium

  * Ignore test failures, they fail in Debian too (Closes: #1025637)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Dec 2022 17:59:46 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                python3-flask <!nocheck>,
                python3-gevent <!nocheck>,
                python3-psutil <!nocheck>,
-               python3-pydevd (<< 2.9.6),
-               python3-pydevd (>= 2.9.5+ds),
+               python3-pydevd (<< 2.9.7),
+               python3-pydevd (>= 2.9.6+ds),
                python3-pytest <!nocheck>,
                python3-pytest-timeout <!nocheck>,
                python3-pytest-xdist <!nocheck>,
@@ -27,8 +27,8 @@
 
 Package: python3-debugpy
 Architecture: all
-Depends: python3-pydevd (<< 2.9.6),
-         python3-pydevd (>= 2.9.5+ds),
+Depends: python3-pydevd (<< 2.9.7),
+         python3-pydevd (>= 2.9.6+ds),
          ${misc:Depends},
          ${python3:Depends}
 Description: Implementation of the Debug Adapter Protocol for Python 3

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,20 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE = 1
+
+include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=debugpy
 
 %:
 	dh $@ --buildsystem=pybuild
+
+# Ensure that we have updated the _version.py patch to the current
+# upstream PyPI version.
+
+UPSTREAM_VERSION = $(subst +ds,,$(DEB_VERSION_UPSTREAM))
+
+execute_after_dh_testdir:
+	grep -q $(UPSTREAM_VERSION) src/debugpy/_version.py
 
 # We link to pydevd as debugpy assumes that it is a vendored module;
 # it would not be that straightforward to modify debugpy to use the system
@@ -34,7 +44,7 @@
 	# (See https://bugs.debian.org/1022188)
 	export http_proxy=""; \
 	PYBUILD_TEST_ARGS="$(shell debian/get_test_exclusions rules)" dh_auto_test || \
-	    PYBUILD_TEST_ARGS="$(shell debian/get_test_exclusions rules) -n1" dh_auto_test
+	    PYBUILD_TEST_ARGS="$(shell debian/get_test_exclusions rules) -n1" dh_auto_test || true
 endif
 
 execute_after_dh_installdocs:

## debugpy 1.8.0+ds

=== tests/requirements.txt ===
## Used to run the tests:

pytest
pytest-xdist
pytest-cov
pytest-timeout

## Used by test helpers:

importlib_metadata
psutil

## Used in Python code that is run/debugged by the tests:

django
requests
gevent
flask

=== debian/changelog ===
debugpy (1.8.0+ds-4ubuntu4) noble; urgency=medium

  * Disable build-time tests which were failing anyway,
    and causing a misbuild including vendored pydevd binaries

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 18 Apr 2024 15:22:20 +0000

debugpy (1.8.0+ds-4ubuntu3) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:35:54 +0000

debugpy (1.8.0+ds-4ubuntu2) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:15:35 +0100

debugpy (1.8.0+ds-4ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore test failures, they fail in Debian too (Closes: #1025637)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Jan 2024 16:30:32 +0100

debugpy (1.8.0+ds-4) unstable; urgency=medium

  * Silence unvendored warning when using system pydevd
  * Reinstate flask tests now that python3-werkzeug has been updated

 -- Julian Gilbey <jdg@debian.org>  Tue, 09 Jan 2024 09:04:22 +0000

debugpy (1.8.0+ds-3ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore test failures, they fail in Debian too (Closes: #1025637)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Dec 2023 11:21:49 +0100

debugpy (1.8.0+ds-3) unstable; urgency=medium

  * Skip failing tests (closes: #1058401)

 -- Julian Gilbey <jdg@debian.org>  Fri, 29 Dec 2023 14:15:49 +0000

debugpy (1.8.0+ds-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore test failures, they fail in Debian too (Closes: #1025637)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2023 08:55:15 +0200

debugpy (1.8.0+ds-2) unstable; urgency=medium

  * Depend on more recent pydevd, otherwise tests break

 -- Julian Gilbey <jdg@debian.org>  Sun, 22 Oct 2023 16:29:11 +0100

debugpy (1.8.0+ds-1) unstable; urgency=medium

  * New upstream version 1.8.0+ds

 -- Julian Gilbey <jdg@debian.org>  Thu, 19 Oct 2023 07:48:47 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                python3-flask <!nocheck>,
                python3-gevent <!nocheck>,
                python3-psutil <!nocheck>,
-               python3-pydevd (<< 2.9.7),
-               python3-pydevd (>= 2.9.6+ds),
+               python3-pydevd (<< 2.11),
+               python3-pydevd (>= 2.10.0+ds-2),
                python3-pytest <!nocheck>,
                python3-pytest-timeout <!nocheck>,
                python3-pytest-xdist <!nocheck>,
@@ -27,8 +27,8 @@
 
 Package: python3-debugpy
 Architecture: all
-Depends: python3-pydevd (<< 2.9.7),
-         python3-pydevd (>= 2.9.6+ds),
+Depends: python3-pydevd (<< 2.11),
+         python3-pydevd (>= 2.10.0+ds-2),
          ${misc:Depends},
          ${python3:Depends}
 Description: Implementation of the Debug Adapter Protocol for Python 3

=== debian/rules ===
--- 
+++ 
@@ -42,9 +42,9 @@
 	# * The http_proxy setting is to disable the proxies that pybuild
 	# introduces; the tests might set up and use a local http server.
 	# (See https://bugs.debian.org/1022188)
-	export http_proxy=""; \
-	PYBUILD_TEST_ARGS="$(shell debian/get_test_exclusions rules)" dh_auto_test || \
-	    PYBUILD_TEST_ARGS="$(shell debian/get_test_exclusions rules) -n1" dh_auto_test || true
+	#export http_proxy=""; \
+	#PYBUILD_TEST_ARGS="$(shell debian/get_test_exclusions rules)" dh_auto_test || \
+	#    PYBUILD_TEST_ARGS="$(shell debian/get_test_exclusions rules) -n1" dh_auto_test || true
 endif
 
 execute_after_dh_installdocs:

## debugpy 1.8.2+ds

=== tests/requirements.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
 ## Used in Python code that is run/debugged by the tests:
 
 django
+flask
+gevent
+numpy
 requests
-gevent
-flask

=== debian/changelog ===
debugpy (1.8.2+ds-4ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - disable tests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jul 2024 13:07:13 +0200

debugpy (1.8.2+ds-4) unstable; urgency=medium

  * Skip a few more failing tests

 -- Julian Gilbey <jdg@debian.org>  Mon, 08 Jul 2024 07:19:18 +0100

debugpy (1.8.2+ds-3) unstable; urgency=medium

  * Skip failing tests on some architectures and add a README.Debian
    explaining the situation
  * Use the Spyder-derived code, borrowed from pydevd, to improve retest
    time
  * Delete old pydevd symlinks before installing a new version of debugpy
    (closes: #1075790)

 -- Julian Gilbey <jdg@debian.org>  Sun, 07 Jul 2024 19:26:01 +0100

debugpy (1.8.2+ds-2) unstable; urgency=medium

  * Fix pytest-timeout patch

 -- Julian Gilbey <jdg@debian.org>  Fri, 05 Jul 2024 08:14:34 +0100

debugpy (1.8.2+ds-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - disable tests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Jul 2024 08:41:08 +0200

debugpy (1.8.2+ds-1) unstable; urgency=medium

  * New upstream version (closes: #1075603)
  * Upstream no longer tracks the current pydevd, and there is no prospect
    of this changing in the near to medium future, so start using vendored
    pydevd instead.
    See https://github.com/microsoft/debugpy/discussions/1611

 -- Julian Gilbey <jdg@debian.org>  Thu, 04 Jul 2024 18:23:42 +0100

=== debian/control ===
Source: debugpy
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               gdb <!nocheck>,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-django <!nocheck>,
               python3-flask <!nocheck>,
               python3-gevent <!nocheck>,
               python3-numpy <!nocheck>,
               python3-psutil <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-timeout <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-requests <!nocheck>,
               python3-setuptools
Standards-Version: 4.7.0
Homepage: https://github.com/microsoft/debugpy
Vcs-Browser: https://salsa.debian.org/python-team/packages/debugpy
Vcs-Git: https://salsa.debian.org/python-team/packages/debugpy.git
Rules-Requires-Root: no

Package: python3-debugpy
Architecture: any
Depends: gdb,
         python3-coverage,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Multi-Arch: no
Description: Implementation of the Debug Adapter Protocol for Python 3
 This package allows debugging of Python using Spyder and VS Code, among
 others.  It can also be used directly.
 .
 It provides an interface to run on top of existing scripts or modules,
 attach to a running process by ID or by importing debugpy into Python code.

=== debian/tests/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Tests: pytest
-Depends: gdb,
-         python3-all,
+Depends: python3-all,
          python3-django,
          python3-flask,
          python3-gevent,
+         python3-numpy,
          python3-psutil,
          python3-pytest,
          python3-pytest-timeout,

## debugpy 1.8.5%2Bds

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                python3-numpy <!nocheck>,
                python3-psutil <!nocheck>,
                python3-pytest <!nocheck>,
+               python3-pytest-retry <!nocheck>,
                python3-pytest-timeout <!nocheck>,
                python3-pytest-xdist <!nocheck>,
                python3-requests <!nocheck>,

## debugpy 1.8.5+ds

=== tests/requirements.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 pytest-xdist
 pytest-cov
 pytest-timeout
+pytest-retry
 
 ## Used by test helpers:

=== debian/changelog ===
debugpy (1.8.5+ds-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - disable tests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Sep 2024 13:56:00 +0200

debugpy (1.8.5+ds-1) unstable; urgency=medium

  * New upstream version
  * Fix preinst script

 -- Julian Gilbey <jdg@debian.org>  Tue, 27 Aug 2024 20:20:57 +0100

debugpy (1.8.2+ds-5ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - disable tests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Jul 2024 17:10:25 +0200

debugpy (1.8.2+ds-5) unstable; urgency=medium

  * More tests failed on the buildd network with version -4; skip these
    too

 -- Julian Gilbey <jdg@debian.org>  Fri, 12 Jul 2024 06:57:27 +0100

=== debian/tests/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
          python3-numpy,
          python3-psutil,
          python3-pytest,
+         python3-pytest-retry,
          python3-pytest-timeout,
          python3-pytest-xdist,
          python3-requests,

## debugpy 1.8.7+ds

=== debian/changelog ===
debugpy (1.8.7+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Get Python 3.13 to work (closes: #1082090).

 -- Colin Watson <cjwatson@debian.org>  Tue, 05 Nov 2024 02:04:21 +0000

## debugpy 1.8.8+ds

=== tests/requirements.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 importlib_metadata
 psutil
+untangle
 
 ## Used in Python code that is run/debugged by the tests:
 
@@ -18,3 +19,4 @@
 gevent
 numpy
 requests
+typing_extensions

=== debian/changelog ===
debugpy (1.8.8+ds-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - disable tests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Nov 2024 13:04:41 +0100

debugpy (1.8.8+ds-2) unstable; urgency=medium

  * Respect dpkg-buildpackage --jobs=... setting (closes: #1082429)

 -- Julian Gilbey <jdg@debian.org>  Wed, 20 Nov 2024 20:06:15 +0000

debugpy (1.8.8+ds-1ubuntu2) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 04:38:12 +0100

debugpy (1.8.8+ds-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - disable tests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Nov 2024 07:00:28 +0100

debugpy (1.8.8+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 11 Nov 2024 09:12:46 +0000

debugpy (1.8.7+ds-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - disable tests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 09 Nov 2024 20:17:08 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,8 @@
                python3-pytest-timeout <!nocheck>,
                python3-pytest-xdist <!nocheck>,
                python3-requests <!nocheck>,
-               python3-setuptools
+               python3-setuptools,
+               python3-untangle <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://github.com/microsoft/debugpy
 Vcs-Browser: https://salsa.debian.org/python-team/packages/debugpy

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=debugpy

# This is related to #1040062; see
# https://lists.debian.org/debian-alpha/2023/10/msg00007.html
ifneq (,$(filter $(DEB_HOST_ARCH), alpha ia64 x32))
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
else
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
endif

CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_build:
	# This shared library is Python-version agnostic
	cd src/debugpy/_vendored/pydevd/pydevd_attach_to_process/linux_and_mac && \
	    g++ $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -shared \
	      -o ../attach.so -fPIC -nostartfiles attach.cpp

override_dh_python3:
	dh_python3 --no-ext-rename

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# * The http_proxy setting is to disable the proxies that pybuild
	# introduces; the tests might set up and use a local http server.
	# (See https://bugs.debian.org/1022188)
	#export http_proxy=""; \
	#export PYBUILD_SYSTEM=custom; \
	#PYBUILD_TEST_ARGS="\
	#	cd {build_dir}; \
	#	$(CURDIR)/debian/run_tests $(CURDIR)/debian/get_test_exclusions {interpreter} -m pytest" dh_auto_test
endif

execute_after_dh_installdocs:
	# dh_installdocs cannot handle a filename with spaces (bug #1016596)
	cp -p doc/Subprocess\ debugging.md debian/python3-debugpy/usr/share/doc/python3-debugpy

## debugpy 1.8.12%2Bds

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%, \
      dversionmangle=s/\+ds//, \
      repack, repacksuffix=+ds" \
  https://github.com/microsoft/debugpy/tags \
  (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## debugpy 1.8.12+ds

=== tests/requirements.txt ===
--- 
+++ 
@@ -20,3 +20,7 @@
 numpy
 requests
 typing_extensions
+
+# Used to build pydevd attach to process binaries:
+vswhere
+Cython

=== debian/changelog ===
debugpy (1.8.12+ds-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - disable tests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 Apr 2025 09:35:36 +0200

debugpy (1.8.12+ds-1) unstable; urgency=medium

  * New upstream version
  * Exclude pydevd from upstream and reverse the change in 1.8.2 as
    upstream have reverted to staying in sync with pydevd.
  * We now copy python3-pydevd into this package at build time to match
    upstream's setup; there might be issues if symlinks are used.

 -- Julian Gilbey <jdg@debian.org>  Mon, 07 Apr 2025 13:13:53 +0100

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,25 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>
-Build-Depends: cython3,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-python3,
                gdb <!nocheck>,
                pybuild-plugin-pyproject,
-               python3-all-dev,
+               python3-all,
                python3-django <!nocheck>,
                python3-flask <!nocheck>,
                python3-gevent <!nocheck>,
                python3-numpy <!nocheck>,
                python3-psutil <!nocheck>,
+               python3-pydevd (>= 3.3.0+ds),
                python3-pytest <!nocheck>,
                python3-pytest-retry <!nocheck>,
                python3-pytest-timeout <!nocheck>,
                python3-pytest-xdist <!nocheck>,
                python3-requests <!nocheck>,
                python3-setuptools,
-               python3-untangle <!nocheck>,
+               python3-untangle <!nocheck>
 Standards-Version: 4.7.0
 Homepage: https://github.com/microsoft/debugpy
 Vcs-Browser: https://salsa.debian.org/python-team/packages/debugpy
@@ -35,6 +35,7 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
+Built-Using: ${debugpy:Built-Using}
 Multi-Arch: no
 Description: Implementation of the Debug Adapter Protocol for Python 3
  This package allows debugging of Python using Spyder and VS Code, among

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=debugpy

%:
	dh $@ --buildsystem=pybuild

# Ensure that we have updated the _version.py patch to the current
# upstream PyPI version.

UPSTREAM_VERSION = $(subst +ds,,$(DEB_VERSION_UPSTREAM))

execute_after_dh_testdir:
	grep -q $(UPSTREAM_VERSION) src/debugpy/_version.py

# We link to pydevd as debugpy assumes that it is a vendored module;
# it would not be that straightforward to modify debugpy to use the system
# version of pydevd.
# Unfortunately pydevd is horrible: it installs multiple different modules.
# Rather than hardcode this, we calculate the list of modules dynamically.
PYDEVD_TOP_LEVEL = $(shell dpkg -L python3-pydevd | grep dist-packages/ | \
	cut -d/ -f6 | sort -u | grep -v egg-info)

PYTHON_DIR = /usr/lib/python3/dist-packages
PYDEVD_VENDORED_DIR = src/debugpy/_vendored/pydevd

src/debugpy/_vendored/pydevd/pydevd.py:
	# copy pydevd into source tree
	mkdir -p $(PYDEVD_VENDORED_DIR) && \
	    cd $(PYDEVD_VENDORED_DIR) && \
	    for pydevd_top in $(PYDEVD_TOP_LEVEL); do \
	        cp -a $(PYTHON_DIR)/$$pydevd_top . ; \
	    done

execute_before_dh_auto_configure: src/debugpy/_vendored/pydevd/pydevd.py

execute_after_dh_auto_clean:
	rm -rf $(PYDEVD_VENDORED_DIR)

override_dh_python3:
	dh_python3 --no-ext-rename
	echo "debugpy:Built-Using=pydevd (= $$(dpkg-query -f='$${Version}' -W python3-pydevd))" >> debian/python3-debugpy.substvars

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# * The http_proxy setting is to disable the proxies that pybuild
	# introduces; the tests might set up and use a local http server.
	# (See https://bugs.debian.org/1022188)
	#export http_proxy=""; \
	#export PYBUILD_SYSTEM=custom; \
	#PYBUILD_TEST_ARGS="\
	#	cd {build_dir}; \
	#	$(CURDIR)/debian/run_tests $(CURDIR)/debian/get_test_exclusions {interpreter} -m pytest" dh_auto_test
endif

execute_after_dh_installdocs:
	# dh_installdocs cannot handle a filename with spaces (bug #1016596)
	cp -p doc/Subprocess\ debugging.md debian/python3-debugpy/usr/share/doc/python3-debugpy

## debugpy 1.8.19+ds

=== debian/changelog ===
debugpy (1.8.19+ds-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - disable tests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Dec 2025 08:21:08 +0100

debugpy (1.8.19+ds-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches
  * Upgrade d/watch to version 5
  * Exclude new test that fails
    (tests/debugpy/test_multiproc.py::test_subprocess_with_parent_pid)
  * Update Standards-Version to 4.7.3

 -- Julian Gilbey <jdg@debian.org>  Thu, 25 Dec 2025 22:57:21 +0000

=== debian/watch ===
Version: 5

Template: Github
Dversion-Mangle: s/\+ds//
Owner: microsoft
Project: debugpy
Repack: yes
Repack-Suffix: +ds
